name: default

on:
  push:
    branches:
      - main

jobs:
  build-and-push:
    runs-on: my-runner
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      # Load variables from the .env file in the repository
      - name: Load .env variables
        run: |
          if [ -f .env ]; then
            grep -v '^#' .env >> $GITHUB_ENV
          else
            echo ".env file not found, skipping load."
          fi

      - name: Login to Gitea Registry
        uses: docker/login-action@v3
        with:
          registry: ${{ env.REGISTRY_URL }}
          username: ${{ github.actor }}
          password: ${{ env.AUTH_TOKEN }}

      - name: Build Docker Image
        run: |
          docker build -t ${{ env.REGISTRY_URL }}/${{ github.repository }}:latest .

      - name: Push Docker Image
        run: |
          docker push ${{ env.REGISTRY_URL }}/${{ github.repository }}:latest